/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomCSSStyleRule_H__
#define __GdomCSSStyleRule_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomCSSRule.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomCSSStyleRule GdomCSSStyleRule;
typedef struct _GdomCSSStyleRuleClass GdomCSSStyleRuleClass;


#define GDOM_TYPE_CSS_STYLE_RULE            (gdom_css_style_rule_get_type())
#define GDOM_CSS_STYLE_RULE(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_CSS_STYLE_RULE, GdomCSSStyleRule))
#define GDOM_CSS_STYLE_RULE_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_CSS_STYLE_RULE, GdomCSSStyleRule)Class)
#define GDOM_IS_CSS_STYLE_RULE(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_CSS_STYLE_RULE))
#define GDOM_IS_CSS_STYLE_RULE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_CSS_STYLE_RULE))
#define GDOM_CSS_STYLE_RULE_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_CSS_STYLE_RULE, GdomCSSStyleRuleClass))

typedef struct _GdomCSSStyleRulePrivate GdomCSSStyleRulePrivate;

struct _GdomCSSStyleRule {
    GdomCSSRule parent_instance;
    GdomCSSStyleRulePrivate *priv;
};

struct _GdomCSSStyleRuleClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_css_style_rule_get_type (void);

G_END_DECLS

#endif /* __GdomCSSStyleRule_H__ */
